Subject: Re: [dmarc-ietf] alignment and parsing logic as optionals

From: Joseph Humphreys <[email-masked]>
Date: Thu, 17 Apr 2014 11:51:02 -0400

On Thu, Apr 17, 2014 at 11:41 AM, MH Michael Hammer (5304)
<[email-masked]>wrote:

>
> > 3. alignment domain-list value to include in alignment check: list of
> domains
> > the domain owner wants to have included in DMARC alignment check,
> > complementing
> > from: header domain; this will cover almost all cases DMARC breaks now,
> > such as 3rd party infrastructure, mailing lists that do not wish to make
> > changes for DMARC-compatibility, forwarders that process their mail, but
> > can't be controlled by domain owner, etc. it's somewhat similar to SPF
> > domain definition, but different, since it affects DMARC-alignment
> process.
> >
>
> This doesn't scale. How many domains would a large mailbox provider have
> to include in the list to account for all domains subscribed to by their
> users? How short would the TTL have to be in order to work for newly
> subscribed to domains? Where would this list live? The DNS folks would
> freak even if the list weren't too long to be put in a DNS record.
>
>
It doesn't scale as a complete solution for mailing lists. I don't see any
scaling problem for the case of a domain used by a single entity that wants
to authorize a few service providers to send email on its behalf.

---

From: Vlatko Salaj <[email-masked]>
Date: Fri, 18 Apr 2014 11:02:46 -0700 (PDT)

On Fri, 18 Apr 2014 13:04:08 -0400, Joseph Humphreys <jhumphreys at salesforce.com> wrote:

> Again, I have not been proposing this as a solution for mailing lists.
> It solves at least two other problems: third-party bounce handlers,
> and using your own domain with some large mail providers like gmail.
> In either case, the domain owner can use DMARC without requiring any
> support from the sender. This is not theoretical -- we have customers
> who are currently stalled on DMARC implementations and who could move
> forward if this were included in the spec.

u can easily guess my standing on this, from my previous messages.
+1

> If you are willing to accept additional DNS lookups, you actually
> could use this to alleviate the mailing list problem, just by adding
> an include syntax for aligned domain lists. That would create a
> mechanism for people to make public, curated MLM whitelists. I
> hesitate to bring that up because I imagine some people won't like the
> idea of more DNS lookups, and I don't want the entire idea to get shot
> down by association.

this seems promising, but i doubt it will have big support here.
however, this could solve issues with mailing lists that do not want
to adopt a DMARC-compatible way of doing things, which i absolutely
support.

DMARC should be adapted to account for our world, not the other way
around.

that said, and having examined Sender-ID spec better, all these issues
could be solved just by having Sender-ID in DMARC. Sender-ID passes
alignment where SPF fails, no matter what's DKIM status.

so, we have two working solutions. do we have any will to actually solve
the problem? or is status quo and finding excuses of higher priority?

-- 
Vlatko Salaj aka goodone
http://goodone.tk